Next: Invoking grub-mkrelpath, Previous: Invoking grub-mkconfig, Up: GNU GRUB manual [Contents][Index]

## 25 Invoking grub-mkpasswd-pbkdf2

The program `grub-mkpasswd-pbkdf2` generates password hashes for GRUB (see Security).

    grub-mkpasswd-pbkdf2

`grub-mkpasswd-pbkdf2` accepts the following options:

`-c number`
`--iteration-count=number`

  Number of iterations of the underlying pseudo-random function. Defaults to 10000.

`-l number`
`--buflen=number`

  Length of the generated hash. Defaults to 64.

`-s number`
`--salt=number`

  Length of the salt. Defaults to 64.